buildr-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From S Ahmed <sahmed1...@gmail.com>
Subject Re: buildr error: cannot load file
Date Mon, 16 Apr 2012 19:30:11 GMT
I have these files:
/dev/testapp
/dev/testapp/buildfile
/dev/testapp/buildfile_libraries.rb

And I am running buildr from there, ie:

/dev/testapp/buildr test=no clean install

Does something seem wrong with the above file layout?


On Mon, Apr 16, 2012 at 2:56 PM, Alex Boisvert <alex.boisvert@gmail.com>wrote:

> Looks like your buildfile is loading 'buildfile_libraries.rb' but it can't
> find it... maybe check paths?
>
> On Monday, April 16, 2012, S Ahmed wrote:
>
> > Very new to buildr.
> >
> > Trying to build this application and I am getting the following error:
> >
> > ~/dev/testapp>buildr test=no clean package --trace
> > /Users/me/.rvm/gems/ruby-1.9.3-p0@railstesting
> > /gems/rake-0.8.7/lib/rake/alt_system.rb:32:
> > Use RbConfig instead of obsolete and deprecated Config.
> >
> >
> /Users/me/.rvm/rubies/ruby-1.9.3-p0/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in
> > `require': iconv will be deprecated in the future, use String#encode
> > instead.
> > (in /Users/me/dev/sources/java/sewer, development)
> > Buildr aborted!
> > LoadError : cannot load such file -- buildfile_libraries.rb
> >
> >
> /Users/me/.rvm/rubies/ruby-1.9.3-p0/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in
> > `require'
> >
> >
> /Users/me/.rvm/rubies/ruby-1.9.3-p0/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in
> > `require'
> > /Users/me/dev/sources/java/sewer/buildfile:14:in `<top (required)>'
> > /Users/me/.rvm/gems/ruby-1.9.3-p0@railstesting
> > /gems/buildr-1.4.6/lib/buildr/core/application.rb:424:in
> > `load'
> > /Users/me/.rvm/gems/ruby-1.9.3-p0@railstesting
> > /gems/buildr-1.4.6/lib/buildr/core/application.rb:424:in
> > `raw_load_buildfile'
> > /Users/me/.rvm/gems/ruby-1.9.3-p0@railstesting
> > /gems/buildr-1.4.6/lib/buildr/core/application.rb:232:in
> > `block in load_buildfile'
> > /Users/me/.rvm/gems/ruby-1.9.3-p0@railstesting
> > /gems/buildr-1.4.6/lib/buildr/core/application.rb:535:in
> > `standard_exception_handling'
> > /Users/me/.rvm/gems/ruby-1.9.3-p0@railstesting
> > /gems/buildr-1.4.6/lib/buildr/core/application.rb:227:in
> > `load_buildfile'
> > /Users/me/.rvm/gems/ruby-1.9.3-p0@railstesting
> > /gems/buildr-1.4.6/lib/buildr/core/application.rb:137:in
> > `block in run'
> > /Users/me/.rvm/gems/ruby-1.9.3-p0@railstesting
> > /gems/buildr-1.4.6/lib/buildr/core/application.rb:535:in
> > `standard_exception_handling'
> > /Users/me/.rvm/gems/ruby-1.9.3-p0@railstesting
> > /gems/buildr-1.4.6/lib/buildr/core/application.rb:135:in
> > `run'
> > /Users/me/.rvm/gems/ruby-1.9.3-p0@railstesting
> > /gems/buildr-1.4.6/bin/buildr:19:in
> > `<top (required)>'
> > /Users/me/.rvm/gems/ruby-1.9.3-p0@railstesting/bin/buildr:19:in `load'
> > /Users/me/.rvm/gems/ruby-1.9.3-p0@railstesting/bin/buildr:19:in `<main>'
> >
> >
> > What could the issue be?
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message